let routeDataList = [
	{
		name: "预警记录",
		limits:"",
		route: "mineAlarm",
		routeUrl: "/pages/earlyWarningManage/earlyWarningList",
		img: require('@/images/icon_003.png'),
		buttonType:"page",
	},
	{
		name: "我的实验室",
		limits:"",
		route: "laboratory",
		routeUrl: "/pages_manage/workbench/laboratory/meLaboratory",
		img: require('@/images/icon_002.png'),
		buttonType:"page",
	},
	{
		name: "预案执行记录",
		limits:"",
		route: "record",
		routeUrl: "/pages_manage/workbench/plan/planList",
		img: require('@/images/icon_004.png'),
		buttonType:"page",
	},
	{
		name: "身份验证",
		limits:"",
		route: "faceImage",
		routeUrl: "/pages/faceImage",
		img: require('@/images/icon_001.png'),
		buttonType:"page",
	},
	{
		name: "电子签名",
		limits:"",
		route: "signature",
		routeUrl: '',
		img: require('@/images/icon_wd_dzqm.png'),
		buttonType:"button",
	},
	{
		name: "指纹",
		limits:"",
		route: "fingerprint",
		routeUrl: "",
		img: require('@/images/icon_wd_zw.png'),
		buttonType:"button",
	},
];

export function getMineConfig(data) {
	let list = JSON.parse(JSON.stringify(data));
	let mineList = [];
	for(let i=0 ; i<list.length; i++){
		for(let o=0 ; o<routeDataList.length; o++){
			console.log('list[i].route',list[i].route)
			console.log('routeDataList[o].route',routeDataList[o].route)
			if(list[i].route === routeDataList[o].route){
				mineList.push({
					limits:routeDataList[o].limits,
					route:routeDataList[o].route,
					routeUrl:routeDataList[o].routeUrl,
					name:routeDataList[o].name,
					img:routeDataList[o].img,
					buttonType:routeDataList[o].buttonType,
				})
			}
		}
	}
  return mineList;
}